function[] = sipka(x, y, sText, color, style, delka, textPosition, sipkaWidth, lineStyle)
%funkce pro vykresleni sipky sipka(pocatecni bod, koncovy bod, text popisku, barva, styl sipky,...
%  delka sipecky,poloha pospisku[%na e, X posun, Yposun, rotace], ka ry, styl ry)
%  predpoklada se ze existuje graf se zapnutym 'hold on'
%  pocatecni a koncovy bod je zadany jako vektor od pocatku sour. systemu pomoci komplexniho cisla
global fontSize 

if length(x) > 1
    x_ = x(1) + 1i*y(1);
    y_ = x(2) + 1i*y(2);
%     delka = sqrt((x(2)-x(1))^2 + (y(2)-y(1))^2);
    x = x_;
    y = y_;
end

%urci parametry sipky
sipkaSmer = angle(y-x);			%urci smer vektoru - to bude i smer sipky

if exist('delka','var')==0				%je-li zadana delka sipky pouzij ji - jinak 10% vektoru
    if ~isempty(delka)
       sipkaDelka = delka;
    else
        sipkaDelka = 0.1 * abs(y-x);
    end
else   
    if ~isempty(delka)
       sipkaDelka = delka;
    else
        sipkaDelka = 0.1 * abs(y-x);
    end
end

if exist('style','var')==0				%je-li zadana styl sipky pouzij ho - jinak 1
   style = 1;
end

if exist('lineStyle','var')==0				%je-li zadana styl sipky pouzij ho - jinak 1
    lineStyle = '-';
end

sipkaRozevreni = pi + pi/14;%24;	%rozevreni sipky

sipkaL = sipkaDelka*exp(1i*(sipkaSmer - sipkaRozevreni));	%vypocti vektory usecek sipky
sipkaR = sipkaDelka*exp(1i*(sipkaSmer + sipkaRozevreni));

%maluj vlastni vektor
if style == 2  %aby trojuhelnik sipky nebyl skrtnuty
    zkraceni = sipkaDelka*exp(1i*(sipkaSmer));
    line(real([x,y-zkraceni]), imag([x,y-zkraceni]), 'color', color, 'LineWidth', sipkaWidth, 'LineStyle',lineStyle);
else
    line(real([x,y]), imag([x,y]), 'color', color, 'LineWidth', sipkaWidth, 'LineStyle',lineStyle);
end

%maluj na jeho spicku sipku
switch style
   case 2 %uzavrena sipka
		line(real([y,y+sipkaL]), imag([y,y+sipkaL]), 'color', color, 'LineWidth', sipkaWidth)	%sipka se rozvira z koncoveho bodu
      line(real([y,y+sipkaR]), imag([y,y+sipkaR]), 'color', color, 'LineWidth', sipkaWidth)
      line(real([y+sipkaL,y+sipkaR]), imag([y+sipkaL,y+sipkaR]), 'color', color, 'LineWidth', sipkaWidth)
   case 3 %plna uzavrena sipka  
      h = patch(real([y,y+sipkaR,y+sipkaL]),imag([y,y+sipkaR,y+sipkaL]), color, 'LineWidth', sipkaWidth);
      set(h, 'EdgeColor', color);
   case 4 %bez sipky   
    otherwise	%1 nebo neco jineho - otevrena sipka
		line(real([y,y+sipkaL]), imag([y,y+sipkaL]), 'color', color, 'LineWidth', sipkaWidth)	%sipka se rozvira z koncoveho bodu
      line(real([y,y+sipkaR]), imag([y,y+sipkaR]), 'color', color, 'LineWidth', sipkaWidth)
end

%dopln popisek
if nargin < 7
    textPosition = 0.5;  %defaultn v polovin
    textPositionY = 0;
else
    switch length(textPosition) 
        case 1
            textPositionX = 0;
            textPositionY = 0;
            textRotation = 0;
        case 2
            textPositionX = 0;
            textPositionY = textPosition(2);
            textPosition = textPosition(1) ;
            textRotation = 0;
        case 3
            textPositionX = textPosition(2);
            textPositionY = textPosition(3);
            textPosition = textPosition(1) ;
            textRotation = 0;
        case 4
            textPositionX = textPosition(2);
            textPositionY = textPosition(3);
            textRotation = textPosition(4);
            textPosition = textPosition(1) ;
    end
    
end
    
textPosition = x + (textPosition*abs(y-x))*exp(1i*(sipkaSmer)); 	%text bude umisten v polovine vektoru

hAlig = 'Middle';
if sipkaSmer < pi/4
   hAlig = 'Top';
end   

if ~exist('fontSize','var')
    fontSize = 10;
end
if isempty(fontSize)
    fontSize = 10;
end

% textPosition
% textPositionX
% textPositionY
% textRotation
% sText
% fontSize
% color
h = text(real(textPosition)+textPositionX, imag(textPosition)+textPositionY, sText, 'VerticalAlignment', hAlig,...
    'Color', color, 'FontSize',fontSize,'Rotation',textRotation); 
%set(h, 'Color', color);

